import { Event, Exception, StackFrame } from '@sentry/types';
/**
 * This function creates an exception from an TraceKitStackTrace
 * @param stacktrace TraceKitStackTrace that will be converted to an exception
 * @hidden
 */
export declare function exceptionFromError(ex: Error): Exception;
/**
 * @hidden
 */
export declare function eventFromPlainObject(exception: Record<string, unknown>, syntheticException?: Error, rejection?: boolean): Event;
/**
 * @hidden
 */
export declare function eventFromError(ex: Error): Event;
/** Parses stack frames from an error */
export declare function parseStackFrames(ex: Error & {
    framesToPop?: number;
    stacktrace?: string;
}): StackFrame[];
//# sourceMappingURL=parsers.d.ts.map